%define vendor	firefly

Summary: X Font Rendering library
Name: Xft2
Version: 2.1.2
Release: 2mdk.%{vendor}
License: MIT
Group: System Environment/Libraries
Source: xft-%{version}.tar.gz
Patch0: xft-2.1.2-CJK-fixwidth-embededbitmaps-artificial_bold-20031127.patch
Patch1: xft-2.1.1-loadtarget.patch
Patch2: xft-2.1.2-XftDrawGlyphFontSpec-20030502.patch
Patch3: libXft-2.1.2-add_ft2build_header.patch
URL: http://keithp.com/
BuildRoot: %{_tmppath}/Xft-root

BuildRequires: fontconfig-devel >= %{version}
BuildRequires: freetype2-devel >= 2.1.4
BuildRequires: XFree86-devel >= 4.3

%description
Xft is a font rendering library for X.

%prep
%setup -q -n xft-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
export CXXFLAGS="$RPM_OPT_FLAGS"
export CFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=/usr \
   --mandir=%{_mandir} \
   --with-fontconfig-includes=%{_includedir} \
   --with-fontconfig-lib=%{_libdir}

%make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install-strip
rm -fr $RPM_BUILD_ROOT/usr/bin
rm -fr $RPM_BUILD_ROOT/usr/include
rm -fr $RPM_BUILD_ROOT/usr/lib/pkgconfig
rm -fr $RPM_BUILD_ROOT%{_datadir}
rm -fr $RPM_BUILD_ROOT/usr/lib/*.a
rm -fr $RPM_BUILD_ROOT/usr/lib/*.la

strip $RPM_BUILD_ROOT/usr/lib/lib*so*

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
/usr/lib*

%changelog
